summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBart vdr. Meulen <bartvdrmeulen@gmail.com>2010-07-19 21:16:02 (GMT)
committerBart vdr. Meulen <bartvdrmeulen@gmail.com>2010-07-19 21:16:02 (GMT)
commitbe3403255195976273c6bf3806fb9e615a23a95b (patch)
tree3e93af2eb5e3829fc375bd73471bb07fb896d176
parent82d882fd286902b15d7ebacb0bd9a10ef986abf2 (diff)
complibs: fix using static companion libraries
When building a cross-compiler for a target which uses a file extension for binaries the symbolic link to cc is not created correctly because the lookup of the gcc binary is done in a incorrect path Signed-off-by: Bart vdr. Meulen <bartvdrmeulen@gmail.com> (transplanted from 3917f2dafed1bb189e39f50e8506b3141926d7e1)
-rw-r--r--scripts/build/cc/gcc.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts/build/cc/gcc.sh b/scripts/build/cc/gcc.sh
index eb97e19..0d6f451 100644
--- a/scripts/build/cc/gcc.sh
+++ b/scripts/build/cc/gcc.sh
@@ -396,7 +396,7 @@ do_cc() {
# Create a symlink ${CT_TARGET}-cc to ${CT_TARGET}-gcc to always be able
# to call the C compiler with the same, somewhat canonical name.
# check whether compiler has an extension
- file="$( ls -1 "${CT_TARGET}/bin/${CT_TARGET}-gcc."* 2>/dev/null || true )"
+ file="$( ls -1 "${CT_PREFIX_DIR}/bin/${CT_TARGET}-gcc."* 2>/dev/null || true )"
[ -z "${file}" ] || ext=".${file##*.}"
CT_DoExecLog ALL ln -sv "${CT_TARGET}-gcc${ext}" "${CT_PREFIX_DIR}/bin/${CT_TARGET}-cc${ext}"